Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps.fonts
Class PSTTFTableOutputStream

    java.lang.Object
      org.apache.fop.render.ps.fonts.PSTTFTableOutputStream

All Implemented Interfaces:
  TTFTableOutputStream

    public class PSTTFTableOutputStream

extends java.lang.Object
implements TTFTableOutputStream

Streams a TrueType table according to the PostScript format.

Constructor Summary
`PSTTFTableOutputStream(PSTTFGenerator ttfGen)` Constructor.

Method Summary
`void` | `streamTable(byte[] ttfData, int offset, int size)` Streams a table from the given byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSTTFTableOutputStream

    public PSTTFTableOutputStream(PSTTFGenerator ttfGen)

  Constructor.

  Parameters:
    `ttfGen` - the helper object to stream TrueType data

Method Detail

### streamTable

    public void streamTable(byte[] ttfData,
                            int offset,
                            int size)
                     throws java.io.IOException

  Description copied from interface: `TTFTableOutputStream`
  Streams a table from the given byte array.

  Specified by:
    `streamTable` in interface `TTFTableOutputStream`
  Parameters:
    `ttfData` - the source of the table to stream from
    `offset` - the position in the byte array where the table starts
    `size` - the size of the table in bytes
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.